summaryrefslogtreecommitdiff
path: root/dev-python/python-utils/python-utils-2.5.0.ebuild
diff options
context:
space:
mode:
authorLiguros - Gitlab CI/CD [develop] <gitlab@liguros.net>2021-01-15 12:35:22 +0000
committerLiguros - Gitlab CI/CD [develop] <gitlab@liguros.net>2021-01-15 12:35:22 +0000
commit81320ce58ee18cb11d16f207cb0a179667134301 (patch)
treeebbb00bcb1aa6abcbde2798618ad20074a04b7c9 /dev-python/python-utils/python-utils-2.5.0.ebuild
parente4bfbcf5e65466feff8734e167653fb690af2af6 (diff)
downloadbaldeagleos-repo-81320ce58ee18cb11d16f207cb0a179667134301.tar.gz
baldeagleos-repo-81320ce58ee18cb11d16f207cb0a179667134301.tar.xz
baldeagleos-repo-81320ce58ee18cb11d16f207cb0a179667134301.zip
Updating liguros repo
Diffstat (limited to 'dev-python/python-utils/python-utils-2.5.0.ebuild')
-rw-r--r--dev-python/python-utils/python-utils-2.5.0.ebuild30
1 files changed, 30 insertions, 0 deletions
diff --git a/dev-python/python-utils/python-utils-2.5.0.ebuild b/dev-python/python-utils/python-utils-2.5.0.ebuild
new file mode 100644
index 000000000000..05618631fa51
--- /dev/null
+++ b/dev-python/python-utils/python-utils-2.5.0.ebuild
@@ -0,0 +1,30 @@
+# Copyright 1999-2021 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=7
+PYTHON_COMPAT=( python3_{6,7,8,9,10} pypy3 )
+
+inherit distutils-r1
+
+DESCRIPTION="Collection of small Python functions & classes"
+HOMEPAGE="https://pypi.org/project/python-utils/"
+SRC_URI="mirror://pypi/${PN:0:1}/${PN}/${P}.tar.gz"
+
+LICENSE="BSD"
+SLOT="0"
+KEYWORDS="~amd64"
+
+RDEPEND="dev-python/six[${PYTHON_USEDEP}]"
+
+distutils_enable_tests pytest
+
+PATCHES=(
+ "${FILESDIR}"/python-utils-2.5.0-no-install-tests.patch
+)
+
+python_prepare_all() {
+ find . -name '__pycache__' -prune -exec rm -r {} + || die "Cleaning __pycache__ failed"
+ find . -name '*.pyc' -delete || die "Cleaning *.pyc failed"
+ sed -i -e '/--cov/d' -e '/--flake8/d' pytest.ini || die
+ distutils-r1_python_prepare_all
+}